#!/bin/sh
#
#	Rebuild all Mythtv videos seektables. The --mpeg2 switch is used.
#	All videos in variable COMPRESSDEST (defined below) are processed
#

COMPRESSDEST=/storage/videos
TEMPFILE=/tmp/auto-compress.$$
HOME=/root 

echo Checking all .mpg files in directory $COMPRESSDEST
echo " "

find $COMPRESSDEST -name '*.mpg'  > $TEMPFILE
FILECOUNT=`cat $TEMPFILE | wc -l`
echo Found $FILECOUNT .mpg files in directory...
if [ $FILECOUNT -gt 0 ] ;
then
	cat $TEMPFILE
	for INPUTFILE in `cat $TEMPFILE`
	do
		echo " " 
		echo Processing $INPUTFILE...
		BASE=`basename $INPUTFILE`
		OGGPATH=$INPUTDIR/$ROOTFILE.mpg
		MNTFILE=`echo $INPUTFILE | sed 's/storage/mnt/'| sed 's/videos/video/' `

		echo Rebulding seek table for the video...
		echo Issuing command: mythtranscode --mpeg2 --buildindex   -i $MNTFILE --video
		mythtranscode --mpeg2 --buildindex  -i $MNTFILE --video

		rm -f $MOVEDFILE.tmp

		echo Finished with $INPUTFILE
		echo " "
	done
fi

rm -f $TEMPFILE
echo "Done."
echo " "


